summaryrefslogtreecommitdiff
path: root/bin/build-master-status
diff options
context:
space:
mode:
authorErich Eckner <git@eckner.net>2017-07-05 14:39:50 +0200
committerErich Eckner <git@eckner.net>2017-07-05 14:39:50 +0200
commit620c0608b746aec5ff59ee3dc607c7a5b4e2bd9e (patch)
tree97f7651fe5891d26ed2fc5d0657078e2ed676790 /bin/build-master-status
parentb3c443f179afb0c5aa5c10788904c5e727bbfe59 (diff)
downloadbuilder-620c0608b746aec5ff59ee3dc607c7a5b4e2bd9e.tar.xz
bin/build-master-status: add blocked and locked packages to statistics
Diffstat (limited to 'bin/build-master-status')
-rwxr-xr-xbin/build-master-status12
1 files changed, 11 insertions, 1 deletions
diff --git a/bin/build-master-status b/bin/build-master-status
index 7827ab5..611bc6c 100755
--- a/bin/build-master-status
+++ b/bin/build-master-status
@@ -131,6 +131,14 @@ broken="$(
ls "${work_dir}/package-states/" | \
grep -c '\.broken$'
)" || true
+blocked="$(
+ ls "${work_dir}/package-states/" | \
+ grep -c '\.blocked$'
+ )" || true
+locked="$(
+ ls "${work_dir}/package-states/" | \
+ grep -c '\.locked$'
+ )" || true
loops="$(
ls "${work_dir}/build-list.loops" | \
grep -c '^loop_[0-9]\+$'
@@ -206,7 +214,9 @@ if [ -n "${statistics_output}" ]; then
"${testing}" \
"${broken}" \
"${loops}" \
- "${looped_packages}" | \
+ "${looped_packages}" \
+ "${locked}" \
+ "${blocked}" | \
sed 's| $|\n|'
) | \
tail -n 10080 | \